Name: gnue-forms
Version: 0.5.12
Release: alt0.M24.1

Summary: GNU Enterprise Forms

License: GPL
Group: Office
Url: http://www.gnue.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2

BuildArchitectures: noarch

#%set_python_req_method    "strict"

BuildRequires: python-base python-dev 

%define gnue_req gnue-appserver = 0.4.2 gnue-reports = 0.1.8
BuildPreReq: %gnue_req
Requires: %gnue_req
AutoReq: yes, nopython

%description
GNUe Forms is a data-aware user-interface generator. In more specific terms,
Forms, using a clean XML-based definition, can display the same functional user
interface in various physical mediums, whether GUI, HTML, console, or via a
telephone-response system. Forms is designed from the ground up to describe a
functional, database-backed interface, with no emphasis on particular widget
sets. A form should be equally usable in a console/text-based environment as it
is in a GUI setting.

Like all GNUe tools, Forms runs on most modern platforms and can communicate
with the vast majority of modern SQL-compliant database backends. With a modular
user interface kit, new interface types can be quickly and easily added. Form's
primary user interface is the wxPython (http://www.wxpython.org) toolkit, which
allows us to support Windows, GTK, Mac OS/X, and OS/2 out of the box. The GNUe
team is also coordinating native KDE/QT, web-based HTML, native MS Windows,
text-only curses, and native GTK2 user interfaces. Forms includes support
for Python-based events or triggers, for real-time validation of user data.

Forms will seemlessly work with GNUe AppServer, GNUe Navigator, and GNUe
Reports if they are present. However, as part of GNUe's modular framework, Forms
does not require any other GNUe tools to function.

Forms is currently in use in several locations, including commercial,
non-profit, and academic sites.

%prep
%setup -q

# for dependences
#%__mkdir -p tmp && python setup.py install --root=tmp

%install
python setup.py install --root=%buildroot

%find_lang %name

%files -f %name.lang
%_bindir/*
%_datadir/gnue/*
%_libdir/gnue/*
%_docdir/*
%_man1dir/*

%changelog
* Sat Sep 03 2005 Vitaly Lipatov <lav@altlinux.ru> 0.5.12-alt0.M24.1
- backports to ALT Linux Master 2.4

* Tue Aug 30 2005 Vitaly Lipatov <lav@altlinux.ru> 0.5.12-alt0.1
- new version

* Fri Apr 01 2005 Vitaly Lipatov <lav@altlinux.ru> 0.5.11-alt0.1
- new version
- strict gnue internal deps
- rebuild with python 2.4

* Fri Dec 17 2004 Vitaly Lipatov <lav@altlinux.ru> 0.5.9-alt0.2
- add missed buildrequires

* Sat Dec 04 2004 Vitaly Lipatov <lav@altlinux.ru> 0.5.9-alt0.1
- new version

* Thu Nov 11 2004 Vitaly Lipatov <lav@altlinux.ru> 0.5.8-alt0.1
- first build for ALT Linux Sisyphus

